<?php
class windcaveLogger
{
    private $request_id, $dir_log;

    public function windcaveLogger($dir_log)
    {
        $this->request_id = $this->getRequestId();
        if(substr($dir_log, -1, 1) == '/' || substr($dir_log, -1, 1) == '\\'){
            $dir_log = substr($dir_log, 0, -1);
        }
        $this->dir_log = $dir_log;
    }
    public function addLog($message, $entity = 'none', $id = '')
    {
        $dir = $this->dir_log . '/windcave_' . date('Ymd') . '.txt';
        $log_file = fopen($dir, 'a');
        $prefix = '[' . $this->request_id . '][' . date('Y-m-d G:i:s') . ']';
        if($entity != 'none'){
            $prefix = $prefix . '[' . $entity . ':' . $id . ']';
        }
        fwrite($log_file, $prefix . $message . "\n");
        fclose($log_file);
    }
    
    private function getRequestId(){
        if(isset($this->request_id)){
            return $this->request_id;
        }
        else{
            return uniqid();
        }
    }
}
