<?php

chdir('../../../../');
require('includes/application_top.php');

if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
}

$breadcrumb->add('Pending Orders', tep_href_link('ext/modules/payment/windcave/pending_orders.php', '', 'SSL'));

require(DIR_WS_INCLUDES . 'template_top.php');
?>

<h1><?php echo 'Pending Orders'; ?></h1>


<div class="contentContainer">

    <?php
    global $customer_id;

    $query = tep_db_query("select * from windcave_transaction where customer_id = '" . $customer_id . "' and status = '" . PROCESSING_STATUS_WINDCAVE . "' order by order_id desc");

    if (!($query->num_rows > 0)) {
    ?>
        <h2>You have no pending orders</h2>
    <?php
    } else {
    ?>
        <table>
            <tr>
                <td width="5%">&nbsp;</td>
                <td  width="95%">
                    <?php
                    for ($i = 0; $i < $query->num_rows; $i++) {
                        $transaction = tep_db_fetch_array($query);
                    ?>
                        <h3>Order ID: <?php echo ($transaction['order_id']); ?></h3>
                        <table  width="100%">
                            <thead>
                                <tr>
                                    <td>Products</td>
                                    <td>Total</td>
                                </tr>
                            </thead>
                            <?php
                            $items = json_decode($transaction['items']);
                            $currency_to_use = tep_db_fetch_array(tep_db_query("select value, symbol_left, symbol_right  from " . TABLE_CURRENCIES . " where code = '" . $transaction['currency'] . "' limit 1"));
                            foreach ($items as $item) {
                                $product = tep_db_fetch_array(tep_db_query("select * from " . TABLE_ORDERS_PRODUCTS . " where products_id = '" . $item->id . "' and orders_id = '" . $transaction['order_id'] . "' limit 1"));
                                $name = tep_db_fetch_array(tep_db_query("select * from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = '" . $item->id . "' limit 1"))['products_name'];
                                $total = $product['final_price'] * $item->qty * $currency_to_use['value'];
                                $total = $currency_to_use['symbol_left'] . number_format($total, 2) . $currency_to_use['symbol_right'];
                            ?>
                                <tr>
                                    <td><?php echo ($item->qty); ?> x <?php echo ($name); ?></td>
                                    <td><?php echo ($total); ?></td>
                                </tr>
                            <?php
                            }
                            $full_total = $currency_to_use['symbol_left'] . number_format($transaction['amount'], 2) . $currency_to_use['symbol_right'];
                            ?>
                            <tr>
                                <td>Total: <?php echo ($full_total); ?></td>
                                <td><a href="<?php echo ($transaction['hpp_link']); ?>">Proceed with payment</a></td>
                            </tr>
                        </table>
                    <?php
                    }
                    ?>
                </td>
            </tr>
        </table>

    <?php
    }
    ?>
</div>

<?php
require(DIR_WS_INCLUDES . 'template_bottom.php');
require(DIR_WS_INCLUDES . 'application_bottom.php');
?>